/// @file Sequence/summstats.hpp
/// \brief Include all summary statistic functions and types
#ifndef SEQUENCE_SUMMSTATS_HPP__
#define SEQUENCE_SUMMSTATS_HPP__

/*!
 *  \defgroup popgenanalysis Analysis of molecular population genetic data
 *  \brief Summary statistics and other analysis of Sequence::VariantMatrix
 *  \ingroup popgen
 *
 *  See @ref md_md_tutorial.
 * 
*/

#include "summstats/generic.hpp"
#include "summstats/classics.hpp"
#include "summstats/nsl.hpp"
#include "summstats/nslx.hpp"
#include "summstats/ld.hpp"
#include "summstats/lhaf.hpp"
#include "summstats/garud.hpp"

#endif
